Update iOS build script to run on bots.

The script previously only executed build/gyp_chromium to
generate projects. This is not sufficient since the
supplement.gypi has not yet been created (happens in
gclient runhooks). Therefore this CL changes it to run
gclient runhooks instead (marginally slower).
Otherwise the bots would have to generate the projects
twice, which is inefficient.

Annotations are also added to make the upcoming buildbot
steps more readable when the script is running as an
annotated step.

TEST=local compilation on OS X.
BUG=none

Review URL: https://webrtc-codereview.appspot.com/1342005

git-svn-id: http://webrtc.googlecode.com/svn/trunk@3878 4adac7df-926f-26a2-2b94-8c16560cd09d
This commit is contained in:
kjellander@webrtc.org 2013-04-20 13:04:05 +00:00
parent e0e029e8cb
commit 006acc45c2

View File

@ -1,4 +1,4 @@
#!/bin/sh
#!/bin/bash
# Copyright (c) 2013 The WebRTC project authors. All Rights Reserved.
#
@ -29,6 +29,7 @@ function build_project() {
if [ "$?" != "0" ]; then
echo "[Error] build $1 failed!" 1>&2
echo "@@@STEP_FAILURE@@@"
exit 1
fi
}
@ -42,13 +43,18 @@ CONFIGURATION=Debug
GYPDEF="OS=ios target_arch=arm armv7=1 arm_neon=1 enable_video=0 include_opus=1"
export GYP_DEFINES=$GYPDEF
# update gyp settings
echo '[Updating gyp settings...]'
./build/gyp_chromium --depth=. webrtc.gyp
echo '[Updated]\n'
echo "[Running gclient runhooks...]"
echo "@@@BUILD_STEP runhooks@@@"
gclient runhooks
if [ "$?" != "0" ]; then
echo "[Error] gclient runhooks failed!" 1>&2
echo "@@@STEP_FAILURE@@@"
exit 2
fi
echo "[Projects updated]\n"
# build the xcode projects
echo '[Building xcode projects...]'
echo "@@@BUILD_STEP compile@@@"
echo "[Building XCode projects...]"
array_target_module=(
"bitrate_controller" "media_file" "paced_sender" "remote_bitrate_estimator"
"webrtc_utility" "rtp_rtcp" "CNG" "G711" "G722" "iLBC" "iSACFix" "PCM16B"
@ -62,6 +68,6 @@ build_project "webrtc/modules/modules.xcodeproj" array_target_module[@]
build_project "webrtc/system_wrappers/source/system_wrappers.xcodeproj"
build_project "webrtc/voice_engine/voice_engine.xcodeproj"
build_project "third_party/opus/opus.xcodeproj" array_target_opus[@]
echo '[Building xcode projects is successful]\n'
echo "[Building XCode projects is successful]\n"
exit 0